#include <bits/stdc++.h>

using namespace std;

int l, n, p, q, r;

int main () {
    cin >> n;
    
    int sol = 0;
    if (p == 2 && q == 3 && r == 7) {
        if (l >= 42 && n >= 42)
            cout << n - l + 1 << endl;
        else if (n >= 42) {
             long long x;
            x = n - 42 + 1;
            for (int i = l; i <= 42; i++) {
            int zb = (int)(i / p) + (int)(i / q) + (int)(i / r);
                if (i % p > 0)
                    zb++;
                if (i % q > 0)
                    zb++;
                if (i % r > 0)
                    zb++;
                if (zb <= i)
                x++;
            }
            
            cout << x << endl;
        }
        
        else {
            for (int i = l; i <= n; i++) {
        int zb = (int)(i / p) + (int)(i / q) + (int)(i / r);
        if (i % p > 0)
            zb++;
        if (i % q > 0)
            zb++;
        if (i % r > 0)
            zb++;
        if (zb <= i)
            sol++;
     }
            cout << sol << endl;
        }
    } 
    else {
        for (int i = l; i <= n; i++) {
            int zb = (int)(i / p) + (int)(i / q) + (int)(i / r);
            if (i % p > 0)
                zb++;
            if (i % q > 0)
                zb++;
            if (i % r > 0)
                zb++;
            if (zb <= i)
                sol++;
         }
         
         if (p == 1 || q == 1 || r == 1)
            cout << 0 << endl;
         else 
            cout << sol << endl;
    }
    
}